%bcond_without evolution # with

Name:           pidgin-chime
Summary:        Pidgin/libpurple protocol plugin for Amazon Chime
Version:        1.4.1
Release:        %mkrel 7

License:        LGPLv2
URL:            https://github.com/awslabs/pidgin-chime
Group:          Networking/Instant messaging
Source0:        https://github.com/awslabs/pidgin-chime/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(pidgin)
BuildRequires:  pkgconfig(purple)
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(farstream-0.2)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-app-1.0)
BuildRequires:  pkgconfig(gstreamer-rtp-1.0)
BuildRequires:  pkgconfig(gstreamer-video-1.0)
BuildRequires:  pkgconfig(opus)
BuildRequires:  pkgconfig(libprotobuf-c)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  ImageMagick
%if %{with evolution}
BuildRequires:  pkgconfig(evolution-calendar-3.0)
BuildRequires:  pkgconfig(evolution-shell-3.0)
BuildRequires:  pkgconfig(evolution-data-server-1.2)
BuildRequires:  pkgconfig(libebook-1.2)
BuildRequires:  pkgconfig(libecal-2.0)
%endif # with evolution
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  libtool
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  pkgconfig(libgadu)
BuildRequires:  pkgconfig(libnm)
BuildRequires:  pkgconfig(libnsl)
BuildRequires:  pkgconfig(libmarkdown)

Requires:       purple-chime%{?_isa} = %{version}-%{release}
Requires:       evolution-chime
Requires:       pidgin

%description
A plugin for the Pidgin multi-protocol instant messenger, to support Amazon
Chime.

This package provides the icon set for Pidgin, and a UI plugin to indicate
seen messages.

%package -n purple-chime
Summary:  Libpurple protocol plugin for Amazon Chime
Group:    Networking/Instant messaging

%description -n purple-chime
A plugin for the Pidgin multi-protocol instant messenger, to support Amazon
Chime.

This package provides the Amazon Chime protocol support for the libpurple
messaging library, which is used by Pidgin and other tools.


%if %{with evolution}
%package -n evolution-chime
Summary:  Evolution plugin for Amazon Chime
Group:    Networking/Instant messaging
Requires: pidgin-chime = %{version}

%description -n evolution-chime
A plugin for Evolution that allows you to create meetings in Amazon Chime.
%endif # with evolution

%prep
%autosetup -p1

%build
autoreconf -fi
%configure \
%if ! %{with evolution}
  --without-evolution \
%endif # without evolution
  --with-certsdir=%{_sysconfdir}/pki/purple-chime/cacerts;

%make_build

%install
%make_install

%find_lang %{name}

%check
make %{?_smp_mflags} check

%files
%{_bindir}/chime-auth.py
%{_bindir}/chime-joinable.py
%{_datadir}/pixmaps/pidgin/protocols/*/chime*
%{_libdir}/pidgin/chimeseen.so
%{_datadir}/applications/chime-auth.desktop

%files -n purple-chime -f %{name}.lang
%{_libdir}/purple-2/libchimeprpl.so
%{_libdir}/farstream-0.2/libapp-transmitter.so
%{_libdir}/gstreamer-1.0/libgstchime.so
%{_libdir}/gstreamer-1.0/libgstxcbimagesrc.so
%dir %{_sysconfdir}/pki/purple-chime
%dir %{_sysconfdir}/pki/purple-chime/cacerts
%{_sysconfdir}/pki/purple-chime/cacerts/*.pem

%license LICENSE
%doc README.md TODO

%if %{with evolution}
%files -n evolution-chime
%{_libdir}/evolution/modules/module-event-from-template.so
%endif # with evolution


%changelog
* Mon Nov 28 2022 papoteur <papoteur> 1.4.1-7.mga9
+ Revision: 1912212
- rebuild for camel, cal and dataserver
+ wally <wally>
- major .spec cleanup

* Sat Sep 10 2022 neoclust <neoclust> 1.4.1-6.mga9
+ Revision: 1886369
- New version 1.4.1

* Wed Apr 06 2022 umeabot <umeabot> 1.3-6.mga9
+ Revision: 1845837
- Mageia 9 Mass Rebuild

* Sat Mar 27 2021 ovitters <ovitters> 1.3-5.mga9
+ Revision: 1711108
- rebuild for evolution-data-server

* Sat Jan 23 2021 tmb <tmb> 1.3-4.mga8
+ Revision: 1673103
- rebuild for new libical

* Wed Jan 06 2021 daviddavid <daviddavid> 1.3-3.mga8
+ Revision: 1669173
- add build dependency on pkgconfig(libnsl) to fix build

* Thu Aug 13 2020 ovitters <ovitters> 1.3-2.mga8
+ Revision: 1613763
- rebuild for evolution-data-server

* Sun Apr 19 2020 buchan <buchan> 1.3-1.mga8
+ Revision: 1569935
- Update to 1.3

* Sun Feb 23 2020 umeabot <umeabot> 1.2-3.mga8
+ Revision: 1549550
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Aug 10 2019 tv <tv> 1.2-2.mga8
+ Revision: 1428617
- rebuild with latest libecal

* Sat Jul 06 2019 daviddavid <daviddavid> 1.2-1.mga8
+ Revision: 1418994
- new version: 1.2

* Thu Mar 14 2019 daviddavid <daviddavid> 1.1-4.mga7
+ Revision: 1376187
- rebuild for new evolution-data-server

* Thu Oct 04 2018 daviddavid <daviddavid> 1.1-3.mga7
+ Revision: 1317772
- Mageia 7 Mass Rebuild

* Sat Aug 18 2018 daviddavid <daviddavid> 1.1-2.mga7
+ Revision: 1252473
- rebuild for new evolution-data-server 3.29.90

* Fri May 25 2018 buchan <buchan> 1.1-1.mga7
+ Revision: 1232195
- New version 1.1

* Sun May 13 2018 buchan <buchan> 1.0-1.mga7
+ Revision: 1229185
- imported package pidgin-chime


* Fri May  4 2018 David Woodhouse <dwmw2@infradead.org> - 1.0-1
- Initial packaging.
